Bug 198001 - libpfm-devel installs ELF binaries in /usr/share
libpfm-devel installs ELF binaries in /usr/share
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libpfm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Cohen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 19:17 EDT by Adam Jackson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.2-0.060621.8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-08 15:15:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Jackson 2006-07-07 19:17:19 EDT
Description of problem:

FHS violation.

# rpm -qf /usr/share/doc/libpfm-devel-3.2/multiplex2
libpfm-devel-3.2-0.060621.7
# file /usr/share/doc/libpfm-devel-3.2/multiplex2
/usr/share/doc/libpfm-devel-3.2/multiplex2: ELF 32-bit LSB executable, Intel
80386, version 1 (SYSV), for GNU/Linux 2.6.9, statically linked, for GNU/Linux
2.6.9, not stripped

Other binaries from the same package in the same directory: syst
notify_standalone smpl_pebs task_smpl notify_self3 task task_attach self_view
multiplex notify_self self_standalone task_attach_timeout task_smpl_user
Comment 1 William Cohen 2006-07-08 15:15:09 EDT
Looked up information about FHS at http://www.pathname.com/fhs/
and found that the stuff in /usr/share should be machine independent.

Modified the libpfm.spec file to not install the example files in /usr/share.
libpfm-devel-3.2-0.060621.8 has the fix.

Note You need to log in before you can comment on or make changes to this bug.